WABA'yı webhook'lara abone et
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrideCallbackUri": "https://your-app.com/webhooks/whatsapp",
"verifyToken": "shared-secret"
}
'{
"success": true
}Webhook'lar
WABA'yı webhook'lara abone et
WABA’yı webhook’lara abone et. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.
POST
/
meta
/
wabas
/
{wabaId}
/
webhook-subscriptions
WABA'yı webhook'lara abone et
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrideCallbackUri": "https://your-app.com/webhooks/whatsapp",
"verifyToken": "shared-secret"
}
'{
"success": true
}Yetkilendirmeler
Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli tutulmalıdır.
Yol Parametreleri
GET /meta/phone-numbers tarafından döndürülen WhatsApp Business hesabı kimliği.
Gövde
application/json
Yanıt
200 - application/json
App subscribed to this WABA's events
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Callback URL failed Meta's verification handshake, or is not HTTPS | Return hub.challenge on the GET handshake |
502 | Graph unreachable or timed out | Retry with backoff |
Bu sayfa yararlı mıydı?